org.apache.synapse.commons.handlers

## Enum Protocol

- java.lang.Object
- - java.lang.Enum<Protocol>
  - - org.apache.synapse.commons.handlers.Protocol

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Protocol>

      public enum Protocol
      extends java.lang.Enum<Protocol>

  Protocol types are represented in these values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `GRPC`
    `HL7`
    `HTTP`
    `HTTPS`
    `JMS`
    `KAFKA`
    `MQTT`
    `RABBITMQ`
    `WS`
    `WSS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Protocol` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final Protocol HTTP

    - #### HTTPS

          public static final Protocol HTTPS

    - #### WS

          public static final Protocol WS

    - #### WSS

          public static final Protocol WSS

    - #### JMS

          public static final Protocol JMS

    - #### HL7

          public static final Protocol HL7

    - #### FILE

          public static final Protocol FILE

    - #### KAFKA

          public static final Protocol KAFKA

    - #### MQTT

          public static final Protocol MQTT

    - #### RABBITMQ

          public static final Protocol RABBITMQ

    - #### GRPC

          public static final Protocol GRPC

  - ### Method Detail

    - #### values

          public static Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Protocol c : Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Protocol valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.